MLflow models
Get model version by alias
Get Model Version by alias
GET
/
api
/
2.0
/
mlflow
/
registered-models
/
alias
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/2.0/mlflow/registered-models/aliasimport requests
url = "https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"model_version": {
"name": "<string>",
"version": "<string>",
"creation_timestamp": 123,
"last_updated_timestamp": 123,
"current_stage": "<string>",
"description": "<string>",
"source": "<string>",
"status": "PENDING_REGISTRATION",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"user_id": "<string>",
"run_id": "<string>",
"status_message": "<string>",
"run_link": "<string>",
"aliases": [
"<string>"
]
}
}{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}Query Parameters
Name of the registered model. This field is required.
Name of the alias. The name must be an exact match; wild-card deletion is not supported. Maximum size is 256 bytes. This field is required.
Maximum string length:
256Response
Model Version
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/2.0/mlflow/registered-models/aliasimport requests
url = "https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/2.0/mlflow/registered-models/alias")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"model_version": {
"name": "<string>",
"version": "<string>",
"creation_timestamp": 123,
"last_updated_timestamp": 123,
"current_stage": "<string>",
"description": "<string>",
"source": "<string>",
"status": "PENDING_REGISTRATION",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"user_id": "<string>",
"run_id": "<string>",
"status_message": "<string>",
"run_link": "<string>",
"aliases": [
"<string>"
]
}
}{
"error_code": "INTERNAL_ERROR",
"message": "<string>"
}